@use "../../../styles/defaults";

.gallery {
  column-count: 4;
  column-gap: defaults.$spacing;
  padding: 0 defaults.$spacing defaults.$spacing;
  opacity: 0;
  visibility: hidden;
  transition: opacity 1s, visibility 1s;
  &.show {
    opacity: 1;
    visibility: visible;
    transition: opacity 1s 0.1s, visibility 1s 0.1s;
  }
  .painting-card {
    margin-bottom: defaults.$spacing;
    position: relative;
    cursor: pointer;
    &::before,
    &::after {
      visibility: hidden;
      opacity: 0;
      transition: all 0.4s;
      position: absolute;
    }
    &::before {
      content: "";
      background: rgba(255, 255, 255, 0.7);
      height: 100%;
      right: 0;
      bottom: 0;
      left: 0;
    }
    &::after {
      content: attr(data-title);
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      font-size: 2.4rem;
      text-align: center;
      line-height: 1.4;
      font-weight: 700;
      color: #333;
      background-color: rgba(153, 153, 153, 0.8);
      padding: 1.2rem;
      width: 80%;
      border-radius: 0.6rem;
    }
    &:hover .title-painter {
      visibility: hidden;
    }
    &:hover::before,
    &:hover::after {
      visibility: visible;
      opacity: 1;
    }
    .painting {
      width: max(100%, 1rem);
      display: block;
    }
  }
  .title-painter {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    background: linear-gradient(rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0.9));
    .title-painter-wrapper {
      color: #fff;
      padding: 2rem 3.2rem;
      width: max(80%, 1rem);
      .title {
        font-size: 2.2rem;
        margin-bottom: 0.6rem;
      }
      .painter {
        font-size: 1.2rem;
        color: #999;
      }
    }
  }
}

@media screen and (max-width: 1024px) {
  .gallery {
    column-count: 3;
    .title-painter {
      .title-painter-wrapper {
        padding: 2rem 2.2rem;
        width: max(75%, 1rem);
        .title {
          font-size: 2rem;
          line-height: 1.4;
        }
        .painter {
          font-size: 1.2rem;
        }
      }
    }
  }
}

@media screen and (max-width: 768px) {
  .gallery {
    column-count: 2;
  }
}

@media screen and (max-width: 600px) {
  .gallery {
    column-count: 1;
  }
}
